searchData={"items":[{"type":"module","title":"PhoenixEvents","doc":"A GenServer that attaches to various :telemetry events and turns them into \"event\"\nspans. Ensures that events are always finalized and (optionally) sent.\n\nConfiguration options:\n\n| `:persona` | `String` | *required* | The event reporting persona should probably be the name of your application |\n| `:log_http` | `boolean` | optional | Defaults to true. Should we track http requests |\n| `:http_prefix` | `list` | optional | Defaults to `[:phoenix, :endpoint]`. The telemetry prefix used by phoenix endpoint for http requests |\n| `:log_live_view` | `boolean` | optional | Defaults to false. Should we track Phoenix.LiveView websocket requests |\n| `:live_view_prefix` | `list` | optional | Defaults to `[:phoenix, :live_view]`. The telemetry prefix used by phoenix_live_view |\n| `log_queries` | `boolean` | optional | Defaults to false. Should SQL queries (made via Ecto) be added to events. Requires setting the `:queries_prefix` option |\n| `:queries_prefix` | `list` | optional | The telemetry prefix for Ecto - Should probably be something in the vein of `[:myapp, :repo]` |\n| `:log_oban | `boolean` | optional | Should we treat Oban Job invocations as events |\n| `:log_events` | `boolean` | optional | Defaults to true. Should we send the event to Logger.info as it is being send |\n| `:send_events` | `boolean` | optional | Defaults to false. Should we send events to an Eventcollector instance |\n| `:eventcollector_host` | `String` | optional | The hostname/ip of the eventcollector instance |\n| `:eventcollector_port` | `String` | optional | The port of the eventcollector instance |\n| `:static_paths` | list(String) | optional | Defaults to `[\"assets\", \"image\"]`. Which http path prefixes should be treated as the static action |\n| `:setup_func` | function(event, {kind, meta}) | optional | A callback function that will be invoked at the start of the event, that allows you to add any additional data to the event data structure. The default funciton is a noop |","ref":"PhoenixEvents.html"},{"type":"function","title":"PhoenixEvents.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"PhoenixEvents.html#child_spec/1"},{"type":"function","title":"PhoenixEvents.custom_event/4","doc":"","ref":"PhoenixEvents.html#custom_event/4"},{"type":"function","title":"PhoenixEvents.handle_query/4","doc":"","ref":"PhoenixEvents.html#handle_query/4"},{"type":"function","title":"PhoenixEvents.http_event/4","doc":"","ref":"PhoenixEvents.html#http_event/4"},{"type":"function","title":"PhoenixEvents.oban_exception/4","doc":"","ref":"PhoenixEvents.html#oban_exception/4"},{"type":"function","title":"PhoenixEvents.oban_start/4","doc":"","ref":"PhoenixEvents.html#oban_start/4"},{"type":"function","title":"PhoenixEvents.oban_stop/4","doc":"","ref":"PhoenixEvents.html#oban_stop/4"},{"type":"function","title":"PhoenixEvents.pid_to_event/1","doc":"Tries to find an event associated with the given process, returns nil if none are found\nIt does walk up the process tree to see if any of the parents are associated with an event and \nreturns that event if that is the case","ref":"PhoenixEvents.html#pid_to_event/1"},{"type":"function","title":"PhoenixEvents.start_link/2","doc":"","ref":"PhoenixEvents.html#start_link/2"},{"type":"function","title":"PhoenixEvents.ws_event/4","doc":"","ref":"PhoenixEvents.html#ws_event/4"},{"type":"module","title":"PhoenixEvents.Event","doc":"","ref":"PhoenixEvents.Event.html"},{"type":"function","title":"PhoenixEvents.Event.add_error/2","doc":"","ref":"PhoenixEvents.Event.html#add_error/2"},{"type":"function","title":"PhoenixEvents.Event.add_query/2","doc":"","ref":"PhoenixEvents.Event.html#add_query/2"},{"type":"function","title":"PhoenixEvents.Event.add_volatile/3","doc":"","ref":"PhoenixEvents.Event.html#add_volatile/3"},{"type":"function","title":"PhoenixEvents.Event.add_warning/2","doc":"","ref":"PhoenixEvents.Event.html#add_warning/2"},{"type":"function","title":"PhoenixEvents.Event.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"PhoenixEvents.Event.html#child_spec/1"},{"type":"function","title":"PhoenixEvents.Event.cleanup/1","doc":"","ref":"PhoenixEvents.Event.html#cleanup/1"},{"type":"function","title":"PhoenixEvents.Event.finalize/1","doc":"","ref":"PhoenixEvents.Event.html#finalize/1"},{"type":"function","title":"PhoenixEvents.Event.maybe_add_volatile/2","doc":"","ref":"PhoenixEvents.Event.html#maybe_add_volatile/2"},{"type":"function","title":"PhoenixEvents.Event.send/2","doc":"","ref":"PhoenixEvents.Event.html#send/2"},{"type":"function","title":"PhoenixEvents.Event.set_action/2","doc":"","ref":"PhoenixEvents.Event.html#set_action/2"},{"type":"function","title":"PhoenixEvents.Event.setup/3","doc":"","ref":"PhoenixEvents.Event.html#setup/3"},{"type":"function","title":"PhoenixEvents.Event.start_link/1","doc":"","ref":"PhoenixEvents.Event.html#start_link/1"},{"type":"function","title":"PhoenixEvents.Event.wrap_in_event/3","doc":"","ref":"PhoenixEvents.Event.html#wrap_in_event/3"}],"content_type":"text/markdown"}